<!doctype html>
<html>
<head>
    <title>Obfsproxy Bridges in the Amazon Cloud | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Obfsproxy Bridges in the Amazon Cloud | Tor Project">
    <meta property="og:description" content="The Tor Cloud images for all the seven regions have been updated to fix a bug found in the...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/obfsproxy-bridges-amazon-cloud/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Obfsproxy Bridges in the Amazon Cloud
      </h1>
    <p class="meta">by Runa | September 26, 2012</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p><a href="https://cloud.torproject.org/" rel="nofollow">The Tor Cloud</a> images for all the seven regions have been updated to fix a bug found in the unattended-upgrades configuration. The normal bridge images have also been updated to include <a href="https://www.torproject.org/projects/obfsproxy" rel="nofollow">obfsproxy</a>, which attempts to help users circumvent censorship by transforming the Tor traffic between the client and the bridge.</p>

<p>If you are already running a Tor Cloud bridge, you will need to either manually update your image, or set up a new Tor Cloud bridge and terminate the old one. If you decide not to take action, your image will fail to upgrade Tor correctly and will not be running as a bridge. </p>

<p>If you just want to fix the bug in the unattended-upgrades configuration, do the following; log on with SSH and edit <em>/etc/apt/apt.conf.d/50unattended-upgrades</em> to say <em>precise</em> instead of <em>lucid</em>.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li><li>
        <a href="../category/network">
          network
        </a>
      </li><li>
        <a href="../category/relays">
          relays
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-17511"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17511" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 26, 2012</p>
    </div>
    <a href="#comment-17511">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17511" class="permalink" rel="bookmark">could you fix the css3 media</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>could you fix the css3 media properties bug in tbb</p>
<p>inner screen size is shown</p>
<p>mike perry marked the bug as fixed but its not</p>
<p>the browser doesnt send only five values like its supposed to</p>
<p>not sending at all would be best</p>
<p>please make this an option</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17554"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17554" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 30, 2012</p>
    </div>
    <a href="#comment-17554">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17554" class="permalink" rel="bookmark">So when I terminate the tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>So when I terminate the tor cloud bridge and go to set up a new one the old one is still there. The option is to launch it or a new one. This being the second up date since I started the tor cloud there are now 3. </p>
<p>So do you just start a new one and end up with who knows how many or can the old ones actually be deleted. And please answer for the layman.</p>
<p>Thanks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-17628"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17628" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 03, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-17554" class="permalink" rel="bookmark">So when I terminate the tor</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-17628">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17628" class="permalink" rel="bookmark">OH well turn it off go</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>OH well turn it off go home.<br />
Thanks or not.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-17555"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17555" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 30, 2012</p>
    </div>
    <a href="#comment-17555">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17555" class="permalink" rel="bookmark">Please tell me this will be</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><strong>Please tell me this will be <i>disabled</i> in future TBB versions: </strong></p>
<p><div class="geshifilter"><pre class="php geshifilter-php" style="font-family:monospace;"><ol><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>i<span style="color: #339933;">&gt;</span>Mozilla announces Firefox Health Report<span style="color: #339933;">,</span> will phone home with data to improve the browser<span style="color: #339933;">&lt;/</span>i<span style="color: #339933;">&gt;&lt;/</span>p<span style="color: #339933;">&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>p<span style="color: #339933;">&gt;&lt;</span>a href<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;http://thenextweb.com/apps/2012/09/22/mozilla-announces-firefox-health-report-will-phone-home-data-improve-browser/</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #0000ff;">&amp;#10&quot;</span> rel<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;nofollow&quot;</span><span style="color: #339933;">&gt;</span>http<span style="color: #339933;">:</span><span style="color: #666666; font-style: italic;">//thenextweb.com/apps/2012/09/22/mozilla-announces-firefox-health-…&lt;/a&gt;;    22nd September 2012 by Emil Protalinski&lt;/p&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>p<span style="color: #339933;">&gt;</span>    Mozilla today announced Firefox Health Report <span style="color: #009900;">&#40;</span>FHR<span style="color: #009900;">&#41;</span><span style="color: #339933;">,</span> a <span style="color: #000000; font-weight: bold;">new</span> feature that sends data back to the company in order to help them “build a more excellent browser<span style="color: #339933;">.</span>” In addition to improving and prioritizing development<span style="color: #339933;">,</span> Mozilla also says FHR will “help us improve performance<span style="color: #339933;">,</span> fix problems and let users see how their browsing experience compares against other instances of Firefox<span style="color: #339933;">.</span>” The feature is coming to the nightly build of Firefox<span style="color: #339933;">,</span> which means it will eventually hit the stable version of the browser<span style="color: #339933;">,</span> likely in Firefox <span style="color: #cc66cc;">19</span> or maybe even Firefox <span style="color: #cc66cc;">20</span><span style="color: #339933;">.&lt;/</span>p<span style="color: #339933;">&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>p<span style="color: #339933;">&gt;</span>    Mozilla says it can currently only <a href="http://www.php.net/count"><span style="color: #990000;">count</span></a> on very basic information to allow limited cross<span style="color: #339933;">-</span>tabulations of Firefox installations<span style="color: #339933;">,</span> and doesn’t have the ability to assess any longitudinal trends<span style="color: #339933;">.</span> In other words<span style="color: #339933;">,</span> the organization wants more data<span style="color: #339933;">.</span> Enter FHR<span style="color: #339933;">.&lt;/</span>p<span style="color: #339933;">&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>p<span style="color: #339933;">&gt;</span>    So what exactly will FHR share with its creator? Mozilla says these four types<span style="color: #339933;">:&lt;/</span>p<span style="color: #339933;">&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>p<span style="color: #339933;">&gt;</span>    Configuration data <span style="color: #009900;">&#40;</span>such <span style="color: #b1b100;">as</span> device hardware<span style="color: #339933;">,</span> operating <a href="http://www.php.net/system"><span style="color: #990000;">system</span></a><span style="color: #339933;">,</span> and Firefox version<span style="color: #009900;">&#41;</span><span style="color: #339933;">.</span> Customizations data <span style="color: #009900;">&#40;</span>such <span style="color: #b1b100;">as</span> add<span style="color: #339933;">-</span>ons<span style="color: #339933;">,</span> <a href="http://www.php.net/count"><span style="color: #990000;">count</span></a><span style="color: #339933;">,</span> and type<span style="color: #009900;">&#41;</span><span style="color: #339933;">.</span> Performance data <span style="color: #009900;">&#40;</span>such <span style="color: #b1b100;">as</span> timing of browser events<span style="color: #339933;">,</span> rendering<span style="color: #339933;">,</span> and session restores<span style="color: #009900;">&#41;</span><span style="color: #339933;">.</span> Wear and Tear data <span style="color: #009900;">&#40;</span>such <span style="color: #b1b100;">as</span> length of session<span style="color: #339933;">,</span> how old a profile is<span style="color: #339933;">,</span> and <a href="http://www.php.net/count"><span style="color: #990000;">count</span></a> of crashes<span style="color: #009900;">&#41;</span><span style="color: #339933;">.&lt;/</span>p<span style="color: #339933;">&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>p<span style="color: #339933;">&gt;</span>    <span style="color: #b1b100;">If</span> privacy bells aren’t ringing in your head<span style="color: #339933;">,</span> they should be<span style="color: #339933;">.</span> That’s still a work in progress <span style="color: #009900;">&#40;</span>which makes sense given that FHR isn’t anywhere near ready yet<span style="color: #009900;">&#41;</span><span style="color: #339933;">,</span> according to the FHR FAQ<span style="color: #339933;">:&lt;/</span>p<span style="color: #339933;">&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>p<span style="color: #339933;">&gt;</span>    We believe that Mozilla’s approach to FHR<span style="color: #339933;">,</span> which was created in consultation with our community<span style="color: #339933;">,</span> is a great model <span style="color: #b1b100;">for</span> balancing a user centric feature with user privacy<span style="color: #339933;">.</span> FHR is designed to avoid keeping a long<span style="color: #339933;">-</span>running record of data correlated to a particular browser<span style="color: #339933;">.</span> Because FHR makes it clear what information is collected<span style="color: #339933;">,</span> makes the information directly visible within Firefox<span style="color: #339933;">,</span> explains why this data is important and provides users with complete control over deleting their own data<span style="color: #339933;">,</span> we hope to establish <span style="color: #000000; font-weight: bold;">new</span> best practices that can be followed by other developers and our competitors<span style="color: #339933;">.&lt;/</span>p<span style="color: #339933;">&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>p<span style="color: #339933;">&gt;</span>    Again<span style="color: #339933;">,</span> Mozilla says there will be great benefits to collecting this data<span style="color: #339933;">:</span> user insights exhibited on<span style="color: #339933;">-</span>board the browser instance through visualizations and comparative graphics<span style="color: #339933;">,</span> <span style="color: #b1b100;">as</span> well <span style="color: #b1b100;">as</span> product insights conveyed to Mozilla to help in improving existing browser instances and informing future design and development of Firefox<span style="color: #339933;">.&lt;/</span>p<span style="color: #339933;">&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>p<span style="color: #339933;">&gt;</span>    We’ll keep you updated <span style="color: #b1b100;">as</span> we learn more<span style="color: #339933;">.</span><span style="color: #0000ff;">&quot;&lt;br /&gt;</span></div></li></ol></pre></div></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17585"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17585" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 01, 2012</p>
    </div>
    <a href="#comment-17585">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17585" class="permalink" rel="bookmark">Cookies didn&#039;t show in the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Cookies didn't show in the Torbutton 1.4.6.2</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17595"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17595" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 01, 2012</p>
    </div>
    <a href="#comment-17595">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17595" class="permalink" rel="bookmark">today in october 1st,2012</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>today in october 1st,2012 tor stop working in iran</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17596"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17596" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 01, 2012</p>
    </div>
    <a href="#comment-17596">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17596" class="permalink" rel="bookmark">today tor stop working in</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>today tor stop working in iran.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17816"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17816" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 18, 2012</p>
    </div>
    <a href="#comment-17816">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17816" class="permalink" rel="bookmark">http://www.larzze.com</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="http://www.larzze.com" rel="nofollow">http://www.larzze.com</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
